import type { TestInfo } from '@playwright/test';
export type Role = 'Admin' | 'Client' | 'Agent' | 'Bank';
export type UserConstants = {
    UserID: string;
    PersonID: string;
    OrganizationID: string;
    FullName: string;
    OrganizationName: string;
};
export declare function getRoleFromProject(testInfo: TestInfo): Role;
export declare function createUserConstantsResolver(mapping: Record<Role, UserConstants>): (role: Role) => UserConstants;
export declare function getRoleNameInRussian(role: Role): string;
